<!DOCTYPE html>
<html lang="de">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta charset="UTF-8">
    <title>Kostenverwaltung</title>
    <script src="https://unpkg.com/htmx.org@2.0.3/dist/htmx.js"
            integrity="sha384-BBDmZzVt6vjz5YbQqZPtFZW82o8QotoM7RUp5xOxV3nSJ8u2pSdtzFAbGKzTlKtg"
            crossorigin="anonymous"></script>
    <script>
        window.htmx.defineExtension('push-url-w-params', {
            onEvent: function (name, e) {
                if (name === "htmx:configRequest") {
                    const path = e.target.getAttribute('data-push-url')
                    const params = new URLSearchParams(e.detail.parameters).toString()
                    const url = `${window.location.origin}${path}?${params}`
                    window.history.pushState({}, '', url);
                }
            }
        })
    </script>
    <link rel="stylesheet" type="text/css" th:href="@{/css/main.css(v=1)}">
</head>
<body class="flex flex-col items-center dark:bg-gray-900 dark:text-gray-400">
<header class="w-3/4">
    <h1 class="" th:classappend="${'QS' eq stage}?'bg-amber-300 dark:text-yellow-400 dark:bg-inherit':'bg-amber-900'"
        th:text="${stage}"></h1>
</header>
<nav class="w-3/4 flex flex-row pt-4 gap-1 shadow dark:bg-inherit">
    <div class="tab-component">
        <button data-hx-get="/fragments/costs"
                data-hx-target="main"
                data-hx-swap="innerHTML"
                data-hx-push-url="/costs"
                data-hx-on-click="selectTab(this)"
                data-tab-x="1"
                class="no-underline bg-amber-300 dark:bg-gray-600 rounded-t cursor-pointer hover:bg-amber-200
                  dark:hover:text-gray"
                th:classappend="${'costs' eq page}?'text-white dark:text-gray-200':'text-white dark:text-inherit'"
        >Erfassen
        </button>
        <button data-hx-get="/fragments/categories"
                data-hx-target="main"
                data-hx-swap="innerHTML"
                data-hx-push-url="/categories"
                data-hx-on-click="selectTab(this)"
                data-tab-x="2"
                class="no-underline bg-amber-300 dark:bg-gray-600 rounded-t cursor-pointer hover:bg-amber-200
                  dark:hover:text-gray-800 dark:hover:bg-gray-400 dark:[&[tabindex='0']]:text-white"
                th:classappend="${'categories' eq page}?'text-white dark:text-gray-200':'text-white dark:text-inherit'"
        >Kategorien
        </button>
        <button data-hx-get="/fragments/names"
                data-hx-target="main"
                data-hx-swap="innerHTML"
                data-hx-push-url="/names"
                data-hx-on-click="selectTab(this)"
                data-tab-x="3"
                class="no-underline bg-amber-300 dark:bg-gray-600 rounded-t cursor-pointer hover:bg-amber-200
                  dark:hover:text-gray-800 dark:hover:bg-gray-400 dark:[&[tabindex='0']]:text-white"
                th:classappend="${'names' eq page}?'text-white dark:text-gray-200':'text-white dark:text-inherit'"
        >Bezeichnungen
        </button>
        <button data-hx-get="/fragments/reporting?menu=overview"
                data-hx-target="main"
                data-hx-swap="innerHTML"
                data-hx-push-url="/reporting?menu=overview"
                data-hx-on-click="selectTab(this)"
                data-tab-x="4"
                class="no-underline bg-amber-300 dark:bg-gray-600 rounded-t cursor-pointer hover:bg-amber-200
                  dark:hover:text-gray-800 dark:hover:bg-gray-400 dark:[&[tabindex='0']]:text-white"
                th:classappend="${'reporting' eq page}?'text-white dark:text-gray-200':'text-white dark:text-inherit'"
        >Auswertungen
        </button>
        <button data-hx-get="/fragments/autokosten"
                data-hx-target="main"
                data-hx-swap="innerHTML"
                data-hx-push-url="/auto"
                data-hx-on-click="selectTab(this)"
                data-tab-x="5"
                class="no-underline bg-amber-300 dark:bg-gray-600 rounded-t cursor-pointer hover:bg-amber-200
                  dark:hover:text-gray-800 dark:hover:bg-gray-400 dark:[&[tabindex='0']]:text-white"
                th:classappend="${'auto' eq page}?'text-white dark:text-gray-200':'text-white dark:text-inherit'"
        >Autokosten
        </button>
    </div>
    <script>
        window.selectTab = function (tabElement) {
                        document.querySelectorAll("nav button").forEach(e => {
                            e.classList.replace("dark:text-gray-200", "dark:text-inherit");
                        });
                        tabElement.classList.replace("dark:text-inherit", "dark:text-gray-200");
        }
    </script>
</nav>
<main class="w-3/4 flex flex-row justify-center shadow m-4" th:switch="${page}">
    <th:block th:case="${'auto'}">
        <div th:insert="~{fragments/autokosten}"></div>
    </th:block>
    <th:block th:case="${'categories'}">
        <div th:replace="~{fragments/kategorien}"></div>
    </th:block>
    <th:block th:case="${'names'}">
        <div th:replace="~{fragments/namen}"></div>
    </th:block>
    <th:block th:case="${'reporting'}">
        <div th:replace="~{fragments/reporting}"></div>
    </th:block>
    <th:block th:case="*">
        <div th:replace="~{fragments/erfassen}"></div>
    </th:block>
</main>

</body>
<script th:src="@{/js/tab-component.js(v=1)}"></script>
</html>
